package com.ltgk.message.enums;


import lombok.Getter;

/**
 * 消息发布状态枚举类
 *
 * @author Qi ChengBin
 * @date 2025/01/16 18:34:47
 */

@Getter
public enum MessagePublishStateEnums {
    /*
     * 0-未发布，1-已发布，2-已撤回
     * */
    UNPUBLISHED(0, "未发布"),
    PUBLISHED(1, "已发布"),
    REVOKED(2, "已撤回");

    private final Integer code;
    private final String desc;

    MessagePublishStateEnums(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
